# 22. Virtuoso Functions Guide - make_array

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
aref
aset
concat
concatenate
dvector
get_keyword
get_keyword_ucase
isarray
make_array
position
serialize
split_and_decode
tree_md5
vector
vector_concat
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## make_array

returns a new array
array make_array (in length integer, in content varchar);
Description

This returns an array of length elements with the content element type. The initial content of the array is undefined.

Errors

Parameter data type checking errors

sqlstate | error code | error text
22003 | SR021 | make_array called with an invalid count <num>
22023 | SR022 | Type for make_array must be float, double, long or any

Parameters
length – Number of elements to be allocated in the resultant array.
content – String that specifies the data type of the array to make. Valid strings are 'float', 'double', 'long' or 'any'. These correspond respectively to the C types long (32 bit signed), float (IEEE 32-bit), double (IEEE 64-bit) and untyped. The untyped array may hold a heterogeneous collection of any Virtuoso data types, including other arrays. The initial content of the array is undefined.
Return Values

An array of specified length and data type